# Uses of Class
java.io.Reader

Packages that use Reader
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.script
The scripting API consists of interfaces and classes that define Java Scripting Engines and provides a framework for their use in Java applications.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.
javax.swing.text.rtf
Provides a class (`RTFEditorKit`) for creating Rich-Text-Format text editors.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform.stream
Provides stream and URI specific transformation classes.
jdk.jfr
This package provides classes to create events and control Flight Recorder.
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).

## Uses of Reader in java.awt.datatransfer

Methods in java.awt.datatransfer that return Reader
Modifier and Type
Method
Description
`Reader`
DataFlavor.`getReaderForText(Transferable transferable)`
Gets a Reader for a text flavor, decoded, if necessary, for the expected charset (encoding).

## Uses of Reader in java.io

Subclasses of Reader in java.io
Modifier and Type
Class
Description
`class`
`BufferedReader`
Reads text from a character-input stream, buffering characters so as to provide for the efficient reading of characters, arrays, and lines.
`class`
`CharArrayReader`
This class implements a character buffer that can be used as a character-input stream.
`class`
`FileReader`
Reads text from character files using a default buffer size.
`class`
`FilterReader`
Abstract class for reading filtered character streams.
`class`
`InputStreamReader`
An InputStreamReader is a bridge from byte streams to character streams: It reads bytes and decodes them into characters using a specified `charset`.
`class`
`LineNumberReader`
A buffered character-input stream that keeps track of line numbers.
`class`
`PipedReader`
Piped character-input streams.
`class`
`PushbackReader`
A character-stream reader that allows characters to be pushed back into the stream.
`class`
`StringReader`
A character stream whose source is a string.
Fields in java.io declared as Reader
Modifier and Type
Field
Description
`protected Reader`
FilterReader.`in`
The underlying character-input stream.
Methods in java.io that return Reader
Modifier and Type
Method
Description
`static Reader`
Reader.`nullReader()`
Returns a new `Reader` that reads no characters.
`Reader`
Console.`reader()`
Retrieves the unique `Reader` object associated with this console.
Constructors in java.io with parameters of type Reader
Modifier
Constructor
Description
``
`BufferedReader(Reader in)`
Creates a buffering character-input stream that uses a default-sized input buffer.
``
`BufferedReader(Reader in, int sz)`
Creates a buffering character-input stream that uses an input buffer of the specified size.
`protected`
`FilterReader(Reader in)`
Creates a new filtered reader.
``
`LineNumberReader(Reader in)`
Create a new line-numbering reader, using the default input-buffer size.
``
`LineNumberReader(Reader in, int sz)`
Create a new line-numbering reader, reading characters into a buffer of the given size.
``
`PushbackReader(Reader in)`
Creates a new pushback reader with a one-character pushback buffer.
``
`PushbackReader(Reader in, int size)`
Creates a new pushback reader with a pushback buffer of the given size.
``
`StreamTokenizer(Reader r)`
Create a tokenizer that parses the given character stream.

## Uses of Reader in java.nio.channels

Methods in java.nio.channels that return Reader
Modifier and Type
Method
Description
`static Reader`
Channels.`newReader(ReadableByteChannel ch, String csName)`
Constructs a reader that decodes bytes from the given channel according to the named charset.
`static Reader`
Channels.`newReader(ReadableByteChannel ch, Charset charset)`
Constructs a reader that decodes bytes from the given channel according to the given charset.
`static Reader`
Channels.`newReader(ReadableByteChannel ch, CharsetDecoder dec, int minBufferCap)`
Constructs a reader that decodes bytes from the given channel using the given decoder.

## Uses of Reader in java.sql

Methods in java.sql that return Reader
Modifier and Type
Method
Description
`Reader`
CallableStatement.`getCharacterStream(int parameterIndex)`
Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.
`Reader`
CallableStatement.`getCharacterStream(String parameterName)`
Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.
`Reader`
Clob.`getCharacterStream()`
Retrieves the `CLOB` value designated by this `Clob` object as a `java.io.Reader` object (or as a stream of characters).
`Reader`
Clob.`getCharacterStream(long pos, long length)`
Returns a `Reader` object that contains a partial `Clob` value, starting with the character specified by pos, which is length characters in length.
`Reader`
ResultSet.`getCharacterStream(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
`Reader`
ResultSet.`getCharacterStream(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
`Reader`
SQLXML.`getCharacterStream()`
Retrieves the XML value designated by this SQLXML instance as a java.io.Reader object.
`Reader`
CallableStatement.`getNCharacterStream(int parameterIndex)`
Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.
`Reader`
CallableStatement.`getNCharacterStream(String parameterName)`
Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.
`Reader`
ResultSet.`getNCharacterStream(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
`Reader`
ResultSet.`getNCharacterStream(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
`Reader`
SQLInput.`readCharacterStream()`
Reads the next attribute in the stream and returns it as a stream of Unicode characters.
Methods in java.sql with parameters of type Reader
Modifier and Type
Method
Description
`void`
CallableStatement.`setCharacterStream(String parameterName, Reader reader)`
Sets the designated parameter to the given `Reader` object.
`void`
CallableStatement.`setCharacterStream(String parameterName, Reader reader, int length)`
Sets the designated parameter to the given `Reader` object, which is the given number of characters long.
`void`
CallableStatement.`setCharacterStream(String parameterName, Reader reader, long length)`
Sets the designated parameter to the given `Reader` object, which is the given number of characters long.
`void`
PreparedStatement.`setCharacterStream(int parameterIndex, Reader reader)`
Sets the designated parameter to the given `Reader` object.
`void`
PreparedStatement.`setCharacterStream(int parameterIndex, Reader reader, int length)`
Sets the designated parameter to the given `Reader` object, which is the given number of characters long.
`void`
PreparedStatement.`setCharacterStream(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to the given `Reader` object, which is the given number of characters long.
`void`
CallableStatement.`setClob(String parameterName, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
CallableStatement.`setClob(String parameterName, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
PreparedStatement.`setClob(int parameterIndex, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
PreparedStatement.`setClob(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
CallableStatement.`setNCharacterStream(String parameterName, Reader value)`
Sets the designated parameter to a `Reader` object.
`void`
CallableStatement.`setNCharacterStream(String parameterName, Reader value, long length)`
Sets the designated parameter to a `Reader` object.
`void`
PreparedStatement.`setNCharacterStream(int parameterIndex, Reader value)`
Sets the designated parameter to a `Reader` object.
`void`
PreparedStatement.`setNCharacterStream(int parameterIndex, Reader value, long length)`
Sets the designated parameter to a `Reader` object.
`void`
CallableStatement.`setNClob(String parameterName, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
CallableStatement.`setNClob(String parameterName, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
PreparedStatement.`setNClob(int parameterIndex, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
PreparedStatement.`setNClob(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
ResultSet.`updateCharacterStream(int columnIndex, Reader x)`
Updates the designated column with a character stream value.
`void`
ResultSet.`updateCharacterStream(int columnIndex, Reader x, int length)`
Updates the designated column with a character stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateCharacterStream(int columnIndex, Reader x, long length)`
Updates the designated column with a character stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateCharacterStream(String columnLabel, Reader reader)`
Updates the designated column with a character stream value.
`void`
ResultSet.`updateCharacterStream(String columnLabel, Reader reader, int length)`
Updates the designated column with a character stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateCharacterStream(String columnLabel, Reader reader, long length)`
Updates the designated column with a character stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateClob(int columnIndex, Reader reader)`
Updates the designated column using the given `Reader` object.
`void`
ResultSet.`updateClob(int columnIndex, Reader reader, long length)`
Updates the designated column using the given `Reader` object, which is the given number of characters long.
`void`
ResultSet.`updateClob(String columnLabel, Reader reader)`
Updates the designated column using the given `Reader` object.
`void`
ResultSet.`updateClob(String columnLabel, Reader reader, long length)`
Updates the designated column using the given `Reader` object, which is the given number of characters long.
`void`
ResultSet.`updateNCharacterStream(int columnIndex, Reader x)`
Updates the designated column with a character stream value.
`void`
ResultSet.`updateNCharacterStream(int columnIndex, Reader x, long length)`
Updates the designated column with a character stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateNCharacterStream(String columnLabel, Reader reader)`
Updates the designated column with a character stream value.
`void`
ResultSet.`updateNCharacterStream(String columnLabel, Reader reader, long length)`
Updates the designated column with a character stream value, which will have the specified number of bytes.
`void`
ResultSet.`updateNClob(int columnIndex, Reader reader)`
Updates the designated column using the given `Reader` The data will be read from the stream as needed until end-of-stream is reached.
`void`
ResultSet.`updateNClob(int columnIndex, Reader reader, long length)`
Updates the designated column using the given `Reader` object, which is the given number of characters long.
`void`
ResultSet.`updateNClob(String columnLabel, Reader reader)`
Updates the designated column using the given `Reader` object.
`void`
ResultSet.`updateNClob(String columnLabel, Reader reader, long length)`
Updates the designated column using the given `Reader` object, which is the given number of characters long.
`void`
SQLOutput.`writeCharacterStream(Reader x)`
Writes the next attribute to the stream as a stream of Unicode characters.

## Uses of Reader in java.util

Methods in java.util with parameters of type Reader
Modifier and Type
Method
Description
`void`
Properties.`load(Reader reader)`
Reads a property list (key and element pairs) from the input character stream in a simple line-oriented format.
Constructors in java.util with parameters of type Reader
Modifier
Constructor
Description
``
`PropertyResourceBundle(Reader reader)`
Creates a property resource bundle from a `Reader`.

## Uses of Reader in javax.print

Methods in javax.print that return Reader
Modifier and Type
Method
Description
`Reader`
Doc.`getReaderForText()`
Obtains a reader for extracting character print data from this doc.
`Reader`
SimpleDoc.`getReaderForText()`
Obtains a reader for extracting character print data from this doc.

## Uses of Reader in javax.script

Fields in javax.script declared as Reader
Modifier and Type
Field
Description
`protected Reader`
SimpleScriptContext.`reader`
This is the reader to be used for input from scripts.
Methods in javax.script that return Reader
Modifier and Type
Method
Description
`Reader`
ScriptContext.`getReader()`
Returns a `Reader` to be used by the script to read input.
`Reader`
SimpleScriptContext.`getReader()`
Returns a `Reader` to be used by the script to read input.
Methods in javax.script with parameters of type Reader
Modifier and Type
Method
Description
`CompiledScript`
Compilable.`compile(Reader script)`
Compiles the script (source read from `Reader`) for later execution.
`Object`
AbstractScriptEngine.`eval(Reader reader)`
`eval(Reader)` calls the abstract `eval(Reader, ScriptContext)` passing the value of the `context` field.
`Object`
AbstractScriptEngine.`eval(Reader reader, Bindings bindings)`
`eval(Reader, Bindings)` calls the abstract `eval(Reader, ScriptContext)` method, passing it a `ScriptContext` whose Reader, Writers and Bindings for scopes other that `ENGINE_SCOPE` are identical to those members of the protected `context` field.
`Object`
ScriptEngine.`eval(Reader reader)`
Same as `eval(String)` except that the source of the script is provided as a `Reader`
`Object`
ScriptEngine.`eval(Reader reader, Bindings n)`
Same as `eval(String, Bindings)` except that the source of the script is provided as a `Reader`.
`Object`
ScriptEngine.`eval(Reader reader, ScriptContext context)`
Same as `eval(String, ScriptContext)` where the source of the script is read from a `Reader`.
`void`
ScriptContext.`setReader(Reader reader)`
Sets the `Reader` for scripts to read input .
`void`
SimpleScriptContext.`setReader(Reader reader)`
Sets the `Reader` for scripts to read input .

## Uses of Reader in javax.sql

Methods in javax.sql with parameters of type Reader
Modifier and Type
Method
Description
`void`
RowSet.`setCharacterStream(int parameterIndex, Reader reader)`
Sets the designated parameter in this `RowSet` object's command to the given `Reader` object.
`void`
RowSet.`setCharacterStream(int parameterIndex, Reader reader, int length)`
Sets the designated parameter in this `RowSet` object's command to the given `java.io.Reader` value.
`void`
RowSet.`setCharacterStream(String parameterName, Reader reader)`
Sets the designated parameter to the given `Reader` object.
`void`
RowSet.`setCharacterStream(String parameterName, Reader reader, int length)`
Sets the designated parameter to the given `Reader` object, which is the given number of characters long.
`void`
RowSet.`setClob(int parameterIndex, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setClob(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setClob(String parameterName, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setClob(String parameterName, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNCharacterStream(int parameterIndex, Reader value)`
Sets the designated parameter in this `RowSet` object's command to a `Reader` object.
`void`
RowSet.`setNCharacterStream(int parameterIndex, Reader value, long length)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNCharacterStream(String parameterName, Reader value)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNCharacterStream(String parameterName, Reader value, long length)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNClob(int parameterIndex, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNClob(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNClob(String parameterName, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
RowSet.`setNClob(String parameterName, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.

## Uses of Reader in javax.sql.rowset

Fields in javax.sql.rowset declared as Reader
Modifier and Type
Field
Description
`protected Reader`
BaseRowSet.`charStream`
The `Reader` object that will be returned by the method `getCharacterStream`, which is specified in the `ResultSet` interface.
Methods in javax.sql.rowset with parameters of type Reader
Modifier and Type
Method
Description
`void`
WebRowSet.`readXml(Reader reader)`
Reads a `WebRowSet` object in its XML format from the given `Reader` object.
`void`
BaseRowSet.`setCharacterStream(int parameterIndex, Reader reader)`
Sets the designated parameter in this `RowSet` object's command to the given `Reader` object.
`void`
BaseRowSet.`setCharacterStream(int parameterIndex, Reader reader, int length)`
Sets the designated parameter to the given `java.io.Reader` object, which will have the specified number of characters.
`void`
BaseRowSet.`setCharacterStream(String parameterName, Reader reader)`
Sets the designated parameter to the given `Reader` object.
`void`
BaseRowSet.`setCharacterStream(String parameterName, Reader reader, int length)`
Sets the designated parameter to the given `Reader` object, which is the given number of characters long.
`void`
BaseRowSet.`setClob(int parameterIndex, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setClob(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setClob(String parameterName, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setClob(String parameterName, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNCharacterStream(int parameterIndex, Reader value)`
Sets the designated parameter in this `RowSet` object's command to a `Reader` object.
`void`
BaseRowSet.`setNCharacterStream(int parameterIndex, Reader value, long length)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNCharacterStream(String parameterName, Reader value)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNCharacterStream(String parameterName, Reader value, long length)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNClob(int parameterIndex, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNClob(int parameterIndex, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNClob(String parameterName, Reader reader)`
Sets the designated parameter to a `Reader` object.
`void`
BaseRowSet.`setNClob(String parameterName, Reader reader, long length)`
Sets the designated parameter to a `Reader` object.

## Uses of Reader in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return Reader
Modifier and Type
Method
Description
`Reader`
SerialClob.`getCharacterStream()`
Returns this `SerialClob` object's data as a stream of Unicode characters.
`Reader`
SerialClob.`getCharacterStream(long pos, long length)`
Returns a `Reader` object that contains a partial `SerialClob` value, starting with the character specified by pos, which is length characters in length.
`Reader`
SQLInputImpl.`readCharacterStream()`
Retrieves the next attribute in this `SQLInputImpl` object as a stream of Unicode characters.
Methods in javax.sql.rowset.serial with parameters of type Reader
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeCharacterStream(Reader x)`
Writes a stream of Unicode characters to this `SQLOutputImpl` object.

## Uses of Reader in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi with parameters of type Reader
Modifier and Type
Method
Description
`void`
XmlReader.`readXML(WebRowSet caller, Reader reader)`
Reads and parses the given `WebRowSet` object from the given input stream in XML format.

## Uses of Reader in javax.swing.text

Methods in javax.swing.text with parameters of type Reader
Modifier and Type
Method
Description
`void`
DefaultEditorKit.`read(Reader in, Document doc, int pos)`
Inserts content from the given stream, which will be treated as plain text.
`abstract void`
EditorKit.`read(Reader in, Document doc, int pos)`
Inserts content from the given stream which is expected to be in a format appropriate for this kind of content handler.
`void`
JTextComponent.`read(Reader in, Object desc)`
Initializes from a stream.

## Uses of Reader in javax.swing.text.html

Methods in javax.swing.text.html with parameters of type Reader
Modifier and Type
Method
Description
`void`
StyleSheet.`loadRules(Reader in, URL ref)`
Loads a set of rules that have been specified in terms of CSS1 grammar.
`abstract void`
HTMLEditorKit.Parser.`parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)`
Parse the given stream and drive the given callback with the results of the parse.
`void`
HTMLEditorKit.`read(Reader in, Document doc, int pos)`
Inserts content from the given stream.

## Uses of Reader in javax.swing.text.html.parser

Methods in javax.swing.text.html.parser with parameters of type Reader
Modifier and Type
Method
Description
`void`
DocumentParser.`parse(Reader in, HTMLEditorKit.ParserCallback callback, boolean ignoreCharSet)`
Parse an HTML stream, given a DTD.
`void`
Parser.`parse(Reader in)`
Parse an HTML stream, given a DTD.
`void`
ParserDelegator.`parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)`

## Uses of Reader in javax.swing.text.rtf

Methods in javax.swing.text.rtf with parameters of type Reader
Modifier and Type
Method
Description
`void`
RTFEditorKit.`read(Reader in, Document doc, int pos)`
Insert content from the given stream, which will be treated as plain text.

## Uses of Reader in javax.tools

Methods in javax.tools that return Reader
Modifier and Type
Method
Description
`Reader`
FileObject.`openReader(boolean ignoreEncodingErrors)`
Returns a reader for this object.
`Reader`
ForwardingFileObject.`openReader(boolean ignoreEncodingErrors)`
`Reader`
SimpleJavaFileObject.`openReader(boolean ignoreEncodingErrors)`
Wraps the result of SimpleJavaFileObject.getCharContent(boolean) in a Reader.

## Uses of Reader in javax.xml.stream

Methods in javax.xml.stream with parameters of type Reader
Modifier and Type
Method
Description
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader(Reader reader)`
Create a new XMLEventReader from a reader.
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader(String systemId, Reader reader)`
Create a new XMLEventReader from a reader.
`abstract XMLStreamReader`
XMLInputFactory.`createXMLStreamReader(Reader reader)`
Create a new XMLStreamReader from a reader.
`abstract XMLStreamReader`
XMLInputFactory.`createXMLStreamReader(String systemId, Reader reader)`
Create a new XMLStreamReader from a java.io.InputStream.

## Uses of Reader in javax.xml.transform.stream

Methods in javax.xml.transform.stream that return Reader
Modifier and Type
Method
Description
`Reader`
StreamSource.`getReader()`
Get the character stream that was set with setReader.
Methods in javax.xml.transform.stream with parameters of type Reader
Modifier and Type
Method
Description
`void`
StreamSource.`setReader(Reader reader)`
Set the input to be a character reader.
Constructors in javax.xml.transform.stream with parameters of type Reader
Modifier
Constructor
Description
``
`StreamSource(Reader reader)`
Construct a StreamSource from a character reader.
``
`StreamSource(Reader reader, String systemId)`
Construct a StreamSource from a character reader.

## Uses of Reader in jdk.jfr

Methods in jdk.jfr with parameters of type Reader
Modifier and Type
Method
Description
`static Configuration`
Configuration.`create(Reader reader)`
Reads a configuration from a character stream.

## Uses of Reader in org.w3c.dom.ls

Methods in org.w3c.dom.ls that return Reader
Modifier and Type
Method
Description
`Reader`
LSInput.`getCharacterStream()`
An attribute of a language and binding dependent type that represents a stream of 16-bit units.
Methods in org.w3c.dom.ls with parameters of type Reader
Modifier and Type
Method
Description
`void`
LSInput.`setCharacterStream(Reader characterStream)`
An attribute of a language and binding dependent type that represents a stream of 16-bit units.

## Uses of Reader in org.xml.sax

Methods in org.xml.sax that return Reader
Modifier and Type
Method
Description
`Reader`
InputSource.`getCharacterStream()`
Get the character stream for this input source.
Methods in org.xml.sax with parameters of type Reader
Modifier and Type
Method
Description
`void`
InputSource.`setCharacterStream(Reader characterStream)`
Set the character stream for this input source.
Constructors in org.xml.sax with parameters of type Reader
Modifier
Constructor
Description
``
`InputSource(Reader characterStream)`
Create a new input source with a character stream.